> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xenovia.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch Provider Route



## OpenAPI

````yaml https://cp.xenovia.io/openapi.json patch /api/v1/providers/{provider_id}
openapi: 3.1.0
info:
  title: controlplane
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/providers/{provider_id}:
    patch:
      tags:
        - providers
      summary: Patch Provider Route
      operationId: patch_provider_route_api_v1_providers__provider_id__patch
      parameters:
        - name: provider_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Provider Id
        - name: Authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - name: X-Request-ID
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Request-Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProviderUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProviderRead'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ProviderUpdate:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        provider:
          anyOf:
            - type: string
            - type: 'null'
          title: Provider
        model:
          anyOf:
            - type: string
            - type: 'null'
          title: Model
        params:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Params
      type: object
      title: ProviderUpdate
    ProviderRead:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        org_id:
          type: string
          format: uuid
          title: Org Id
        name:
          type: string
          title: Name
        provider:
          type: string
          title: Provider
        model:
          anyOf:
            - type: string
            - type: 'null'
          title: Model
        params:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Params
        has_api_token:
          type: boolean
          title: Has Api Token
      type: object
      required:
        - id
        - created_at
        - updated_at
        - org_id
        - name
        - provider
        - model
        - params
        - has_api_token
      title: ProviderRead
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````